﻿@model SendMailToPlayerViewModel
<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
    <h3 id="myModalLabel2" class="text-left">Confirm and Delivery</h3>
</div>



@using (Ajax.BeginForm("SendingMail", "Communication", null, new AjaxOptions { HttpMethod = "post", OnSuccess = "onSuccessConfirmation", OnFailure = "onFailedConfirmation" }
    , new { @class = "form-items pull-left", @id = "sendMailConfirmation" }))
{
    <div class="modal-body mail-delivery">
        @Html.ValidationSummary(true)
        <div class="form-item pull-left">
            <div class="steps step3">
                <div class="progress">
                    <div class="bar"></div>
                </div>
                <ul>
                    <li class="done">
                        <span class="img-circle num-step">1</span>
                        <span class="text-step hidden-phone">Content</span>
                    </li>
                    <li class="done">
                        <span class="img-circle num-step">2</span>
                        <span class="text-step hidden-phone">Recipients</span>
                    </li>
                    <li class="active">
                        <span class="img-circle num-step">3</span>
                        <span class="text-step hidden-phone">Delivery</span>
                    </li>
                </ul>
            </div>
            <div class="form-group">
                <div class="notification-msg alert fade in" style="display: none">
                    <button class="notification-close" data-dismiss="alert" type="button">
                    </button>
                    <b></b><span></span>
                </div>
                <div class="form-group pull-left email-to">

                    @Html.HiddenFor(m => m.ClubDomain)
                    @Html.HiddenFor(m => m.Domain)
                    @Html.HiddenFor(m => m.Name)
                    @Html.HiddenFor(m => m.EventType)
                    @Html.HiddenFor(m => m.CategoryId)
                    @Html.HiddenFor(m => m.Mode)
                    @Html.HiddenFor(m => m.Subject)
                    @Html.HiddenFor(m => m.Body)
                    @Html.HiddenFor(m => m.From)
                    @Html.HiddenFor(m=>m.FileNames)
                    @Html.Hidden("nextConfirm", true)
                    @foreach (var item in Model.Emails)
                    {
                        @Html.Partial("_SendMailRowItem", item)    
        
                    }

                    @if (Model.Mode == SendMailModel.sendAll)
                    {
                        @Html.Label("To: All participants")

                    }
                    else
                    {
                        foreach (var item in Model.Events)
                        {
                        @Html.Partial("_SendMailEventRowItem", item)
                   
                        }

                    }
                </div>
                <div class="form-group pull-left subject">
                    @Html.LabelFor(m => m.Subject)
                    <div>
                        <span>@Html.Raw(Model.Subject)</span>
                    </div>

                </div>
                <div class="form-group pull-left content">
                    @Html.LabelFor(m => m.Body)
                    <div>
                        <div id="body-scroll">
                            @Html.Raw(Model.Body)
                        </div>
                    </div>
                </div>
                @if(!string.IsNullOrEmpty(Model.FileNames))
                {
                    <div class="form-group pull-left content">
                        @Html.DisplayNameFor(m=>m.FileNames)
                        <div>
                            <span>@Html.DisplayFor(m=>m.FileNames)</span>
                        </div>
                    </div>
                }
            </div>
        </div>
    </div>
    <div class="modal-footer text-right">
        <button type="button" class="btn btn-grey loading" id="btnBackConfirm">Back</button>
        <button type="button" class="btn btn-info loading" data-loading-text="sending..." id="btnSendMail">confirm and send</button>
    </div>
}
<script>

    $("#btnSendMail").on("click", function () {
        $("#nextConfirm").val(true);
        $("#sendMailConfirmation").submit();
        ShowMessageBox("Sending Email", "Your Email is sending...", 2000);
        HidePopupLoading();
        
    });
    $("#btnBackConfirm").on("click", function () {
        $("#nextConfirm").val(false);
        $("#sendMailConfirmation").submit();

    });


    $(".loading").click(function () {
        $(this).button("loading");
    });

    // scroll for recipient list
    $('#body-scroll').slimscroll({
        height: '235px'
    });


</script>
